<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><HEAD>
<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<title>sch-rnd - sch-rnd manual</title>
</HEAD><BODY>
<!--
	 sch-rnd - manual\n Copyright (C) 2022 Tibor 'Igor2' Palinkas\n
	\n
	This program is free software; you can redistribute it and/or modify\n
	it under the terms of the GNU General Public License as published by\n
	the Free Software Foundation; either version 2 of the License, or\n
	(at your option) any later version.\n
	\n
	This program is distributed in the hope that it will be useful,\n
	but WITHOUT ANY WARRANTY; without even the implied warranty of\n
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n
	GNU General Public License for more details.\n
	\n
	You should have received a copy of the GNU General Public License along\n
	with this program; if not, write to the Free Software Foundation, Inc.,\n
	51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.\n
	\n
	Contact: sch-rnd-man[removethis]@igor2.repo.hu
-->
<table width="100%">
	<TR>
		<TH align="left">   sch-rnd 1
		<TH align="center"> 2022-09-29
		<TH align="right">  sch-rnd manual
</table>




<H3>NAME</H3>
<blockquote>
sch-rnd - Schematics editor
</blockquote>

<H3>SYNPOSIS</H3>
<blockquote>
<P>
<tt><B>sch-rnd</B> [<I>options</I>] [<I>inputfile</I>]</tt>



</blockquote>

<H3>DESCRIPTION</H3>
<blockquote>
<B>sch-rnd</B> is a modular schematics capture (editor). The main use is interactive editing. If no <I>-x</I> is specified on the command line, the graphical editor mode is initiated.
Automated, headless processing is also possible with <I>-x</I> or<I>--gui batch</I>.
</blockquote>


<H3>OPTIONS</H3>
<blockquote>

<table border=1>

	<TR>

		<TD> --help <I>topic</I> 
		<TD> Print help about <I>topic</I> and exit; if no topic is specified, print available topics.

	<TR>

		<TD> -x <I>exporter</I> [<I>exportflags] <I>inputfile</I></I> 
		<TD> Instead of interactive editing, export the design (loaded from <I>inputfile</I>) to a file using the specified <I>exporter</I> plugin. A list of exporter-specific parameters may follow to control the details of the process. 
	<TR>

		<TD> --gui <I>hid</I> 
		<TD> Use the <I>hid</I> plugin for the "gui" frontend. Common choices are "gtk2_gdk" or "lesstif" for graphical user interfaces
and "batch" for a headless command-line interface (or automated
batch processing). 
	<TR>

		<TD> -c <I>path=val</I> 
		<TD> Set a config node in role CFR_CLI. The path of the node is <I>path</I> (e.g. editor/grid) and the new value is <I>val</I> (e.g. 5mm).
</table>
</blockquote>
<P>
<table width="100%">
	<TR>
		<TH align="left">   sch-rnd 1
		<TH align="center"> 2022-09-29
		<TH align="right">  sch-rnd manual
</table>


</BODY></HTML>

